2020-09-22 05:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002742NetSurfJavascriptpublic2020-05-21 21:51
ReporterJohn Hendry 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionno change required 
PlatformLinux-x64OSCruxOS Version3.5
Product Version3.9 
Target VersionFixed in Version 
Summary0002742: Parse Error building content/handlers/javascript/duktape/netsurf.bnd
DescriptionGTK make fails after
Parse Error building content/handlers/javascript/duktape/netsurf.bnd

  do I have to install javascript?
Additional Informationfailed previously when HTML::Entities was not found in @INC (Perl5.20.2); now fixed;

previous netsurf on system;

(probably irrelevant) Adwaita-icon-theme won't install
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files
  • ? file icon netsurf-make-log (64,323 bytes) 2020-03-25 01:27 -
    mkdir -p /usr/local/Resource/netsurf-all-3.9/inst-gtk/include
    mkdir -p /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    mkdir -p /usr/local/Resource/netsurf-all-3.9/inst-gtk/bin
    make install --directory=buildsystem HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/buildsystem'
    mkdir -p /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/makefiles /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/testtools /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/citools
    for M in Makefile.top Makefile.tools Makefile.subdir Makefile.pkgconfig Makefile.clang Makefile.gcc Makefile.norcroft Makefile.open64; do \
    	cp makefiles/$M /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/makefiles/; \
    done
    for T in testrunner.pl; do \
    	cp testtools/$T /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/testtools/; \
    done
    for C in jenkins-build.sh; do \
    	cp citools/$C /usr/local/Resource/netsurf-all-3.9/inst-gtk/share/netsurf-buildsystem/citools/; \
    done
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/buildsystem'
    make install --directory=libnslog HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libnslog'
    	 BISON: src/filter-parser.y
    src/filter-parser.y:27.1-12: warning: deprecated directive, use '%define api.pure' [-Wdeprecated]
       27 | %pure-parser
          | ^~~~~~~~~~~~
    src/filter-parser.y: warning: fix-its can be applied.  Rerun with option '--update'. [-Wother]
    	  FLEX: src/filter-lexer.l
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/filter-parser.c
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/filter-lexer.c
     COMPILE: src/core.c
     COMPILE: src/filter.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnslog.a
    install  -m 644 include/nslog/nslog.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nslog
    sed -e... libnslog.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnslog.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnslog.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libnslog.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnslog.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libnslog'
    make install --directory=libwapcaplet HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libwapcaplet'
     COMPILE: src/libwapcaplet.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libwapcaplet.a
    install  -m 644 include/libwapcaplet/libwapcaplet.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libwapcaplet
    sed -e... libwapcaplet.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libwapcaplet.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libwapcaplet.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libwapcaplet.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libwapcaplet.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libwapcaplet'
    make install --directory=libparserutils HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libparserutils'
       ALIAS: src/charset/aliases.inc
     COMPILE: src/utils/buffer.c
     COMPILE: src/utils/errors.c
     COMPILE: src/utils/stack.c
     COMPILE: src/utils/vector.c
     COMPILE: src/charset/aliases.c
     COMPILE: src/charset/codec.c
     COMPILE: src/charset/codecs/codec_ascii.c
     COMPILE: src/charset/codecs/codec_8859.c
     COMPILE: src/charset/codecs/codec_ext8.c
     COMPILE: src/charset/codecs/codec_utf8.c
     COMPILE: src/charset/codecs/codec_utf16.c
     COMPILE: src/charset/encodings/utf8.c
     COMPILE: src/charset/encodings/utf16.c
     COMPILE: src/input/filter.c
     COMPILE: src/input/inputstream.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libparserutils.a
    install  -m 644 include/parserutils/errors.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils
    install  -m 644 include/parserutils/functypes.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils
    install  -m 644 include/parserutils/parserutils.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils
    install  -m 644 include/parserutils/types.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils
    install  -m 644 include/parserutils/charset/codec.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/charset
    install  -m 644 include/parserutils/charset/mibenum.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/charset
    install  -m 644 include/parserutils/charset/utf16.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/charset
    install  -m 644 include/parserutils/charset/utf8.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/charset
    install  -m 644 include/parserutils/input/inputstream.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/input
    install  -m 644 include/parserutils/utils/buffer.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/utils
    install  -m 644 include/parserutils/utils/stack.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/utils
    install  -m 644 include/parserutils/utils/vector.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/parserutils/utils
    sed -e... libparserutils.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libparserutils.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libparserutils.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libparserutils.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libparserutils.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libparserutils'
    make install --directory=libcss HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libcss'
     PREPARE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/gen_parser
    GENERATE: src/parse/properties/autogenerated_z_index.c
    GENERATE: src/parse/properties/autogenerated_writing_mode.c
    GENERATE: src/parse/properties/autogenerated_word_spacing.c
    GENERATE: src/parse/properties/autogenerated_width.c
    GENERATE: src/parse/properties/autogenerated_widows.c
    GENERATE: src/parse/properties/autogenerated_white_space.c
    GENERATE: src/parse/properties/autogenerated_volume.c
    GENERATE: src/parse/properties/autogenerated_visibility.c
    GENERATE: src/parse/properties/autogenerated_vertical_align.c
    GENERATE: src/parse/properties/autogenerated_unicode_bidi.c
    GENERATE: src/parse/properties/autogenerated_top.c
    GENERATE: src/parse/properties/autogenerated_text_transform.c
    GENERATE: src/parse/properties/autogenerated_text_indent.c
    GENERATE: src/parse/properties/autogenerated_text_align.c
    GENERATE: src/parse/properties/autogenerated_table_layout.c
    GENERATE: src/parse/properties/autogenerated_stress.c
    GENERATE: src/parse/properties/autogenerated_speech_rate.c
    GENERATE: src/parse/properties/autogenerated_speak_punctuation.c
    GENERATE: src/parse/properties/autogenerated_speak_numeral.c
    GENERATE: src/parse/properties/autogenerated_speak_header.c
    GENERATE: src/parse/properties/autogenerated_speak.c
    GENERATE: src/parse/properties/autogenerated_side.c
    GENERATE: src/parse/properties/autogenerated_right.c
    GENERATE: src/parse/properties/autogenerated_richness.c
    GENERATE: src/parse/properties/autogenerated_position.c
    GENERATE: src/parse/properties/autogenerated_pitch_range.c
    GENERATE: src/parse/properties/autogenerated_pitch.c
    GENERATE: src/parse/properties/autogenerated_pause_before.c
    GENERATE: src/parse/properties/autogenerated_pause_after.c
    GENERATE: src/parse/properties/autogenerated_page_break_inside.c
    GENERATE: src/parse/properties/autogenerated_page_break_before.c
    GENERATE: src/parse/properties/autogenerated_page_break_after.c
    GENERATE: src/parse/properties/autogenerated_padding_top.c
    GENERATE: src/parse/properties/autogenerated_padding_side.c
    GENERATE: src/parse/properties/autogenerated_padding_right.c
    GENERATE: src/parse/properties/autogenerated_padding_left.c
    GENERATE: src/parse/properties/autogenerated_padding_bottom.c
    GENERATE: src/parse/properties/autogenerated_overflow_y.c
    GENERATE: src/parse/properties/autogenerated_overflow_x.c
    GENERATE: src/parse/properties/autogenerated_outline_width.c
    GENERATE: src/parse/properties/autogenerated_outline_style.c
    GENERATE: src/parse/properties/autogenerated_outline_color.c
    GENERATE: src/parse/properties/autogenerated_orphans.c
    GENERATE: src/parse/properties/autogenerated_order.c
    GENERATE: src/parse/properties/autogenerated_min_width.c
    GENERATE: src/parse/properties/autogenerated_min_height.c
    GENERATE: src/parse/properties/autogenerated_max_width.c
    GENERATE: src/parse/properties/autogenerated_max_height.c
    GENERATE: src/parse/properties/autogenerated_margin_top.c
    GENERATE: src/parse/properties/autogenerated_margin_side.c
    GENERATE: src/parse/properties/autogenerated_margin_right.c
    GENERATE: src/parse/properties/autogenerated_margin_left.c
    GENERATE: src/parse/properties/autogenerated_margin_bottom.c
    GENERATE: src/parse/properties/autogenerated_list_style_position.c
    GENERATE: src/parse/properties/autogenerated_list_style_image.c
    GENERATE: src/parse/properties/autogenerated_line_height.c
    GENERATE: src/parse/properties/autogenerated_letter_spacing.c
    GENERATE: src/parse/properties/autogenerated_left.c
    GENERATE: src/parse/properties/autogenerated_justify_content.c
    GENERATE: src/parse/properties/autogenerated_height.c
    GENERATE: src/parse/properties/autogenerated_font_variant.c
    GENERATE: src/parse/properties/autogenerated_font_style.c
    GENERATE: src/parse/properties/autogenerated_font_size.c
    GENERATE: src/parse/properties/autogenerated_float.c
    GENERATE: src/parse/properties/autogenerated_flex_wrap.c
    GENERATE: src/parse/properties/autogenerated_flex_shrink.c
    GENERATE: src/parse/properties/autogenerated_flex_grow.c
    GENERATE: src/parse/properties/autogenerated_flex_direction.c
    GENERATE: src/parse/properties/autogenerated_flex_basis.c
    GENERATE: src/parse/properties/autogenerated_empty_cells.c
    GENERATE: src/parse/properties/autogenerated_display.c
    GENERATE: src/parse/properties/autogenerated_direction.c
    GENERATE: src/parse/properties/autogenerated_cue_before.c
    GENERATE: src/parse/properties/autogenerated_cue_after.c
    GENERATE: src/parse/properties/autogenerated_counter_reset.c
    GENERATE: src/parse/properties/autogenerated_counter_increment.c
    GENERATE: src/parse/properties/autogenerated_column_width.c
    GENERATE: src/parse/properties/autogenerated_column_span.c
    GENERATE: src/parse/properties/autogenerated_column_rule_width.c
    GENERATE: src/parse/properties/autogenerated_column_rule_style.c
    GENERATE: src/parse/properties/autogenerated_column_rule_color.c
    GENERATE: src/parse/properties/autogenerated_column_gap.c
    GENERATE: src/parse/properties/autogenerated_column_fill.c
    GENERATE: src/parse/properties/autogenerated_column_count.c
    GENERATE: src/parse/properties/autogenerated_color.c
    GENERATE: src/parse/properties/autogenerated_clear.c
    GENERATE: src/parse/properties/autogenerated_caption_side.c
    GENERATE: src/parse/properties/autogenerated_break_inside.c
    GENERATE: src/parse/properties/autogenerated_break_before.c
    GENERATE: src/parse/properties/autogenerated_break_after.c
    GENERATE: src/parse/properties/autogenerated_box_sizing.c
    GENERATE: src/parse/properties/autogenerated_bottom.c
    GENERATE: src/parse/properties/autogenerated_border_top_width.c
    GENERATE: src/parse/properties/autogenerated_border_top_style.c
    GENERATE: src/parse/properties/autogenerated_border_top_color.c
    GENERATE: src/parse/properties/autogenerated_border_top.c
    GENERATE: src/parse/properties/autogenerated_border_side_width.c
    GENERATE: src/parse/properties/autogenerated_border_side_style.c
    GENERATE: src/parse/properties/autogenerated_border_side_color.c
    GENERATE: src/parse/properties/autogenerated_border_right_width.c
    GENERATE: src/parse/properties/autogenerated_border_right_style.c
    GENERATE: src/parse/properties/autogenerated_border_right_color.c
    GENERATE: src/parse/properties/autogenerated_border_right.c
    GENERATE: src/parse/properties/autogenerated_border_left_width.c
    GENERATE: src/parse/properties/autogenerated_border_left_style.c
    GENERATE: src/parse/properties/autogenerated_border_left_color.c
    GENERATE: src/parse/properties/autogenerated_border_left.c
    GENERATE: src/parse/properties/autogenerated_border_collapse.c
    GENERATE: src/parse/properties/autogenerated_border_bottom_width.c
    GENERATE: src/parse/properties/autogenerated_border_bottom_style.c
    GENERATE: src/parse/properties/autogenerated_border_bottom_color.c
    GENERATE: src/parse/properties/autogenerated_border_bottom.c
    GENERATE: src/parse/properties/autogenerated_background_repeat.c
    GENERATE: src/parse/properties/autogenerated_background_image.c
    GENERATE: src/parse/properties/autogenerated_background_color.c
    GENERATE: src/parse/properties/autogenerated_background_attachment.c
    GENERATE: src/parse/properties/autogenerated_align_self.c
    GENERATE: src/parse/properties/autogenerated_align_items.c
    GENERATE: src/parse/properties/autogenerated_align_content.c
     COMPILE: src/stylesheet.c
     COMPILE: src/utils/errors.c
     COMPILE: src/utils/utils.c
     COMPILE: src/charset/detect.c
     COMPILE: src/select/arena.c
     COMPILE: src/select/computed.c
     COMPILE: src/select/dispatch.c
     COMPILE: src/select/hash.c
     COMPILE: src/select/select.c
     COMPILE: src/select/font_face.c
     COMPILE: src/select/properties/helpers.c
     COMPILE: src/select/properties/align_content.c
     COMPILE: src/select/properties/align_items.c
     COMPILE: src/select/properties/align_self.c
     COMPILE: src/select/properties/azimuth.c
     COMPILE: src/select/properties/background_attachment.c
     COMPILE: src/select/properties/background_color.c
     COMPILE: src/select/properties/background_image.c
     COMPILE: src/select/properties/background_position.c
     COMPILE: src/select/properties/background_repeat.c
     COMPILE: src/select/properties/border_bottom_color.c
     COMPILE: src/select/properties/border_bottom_style.c
     COMPILE: src/select/properties/border_bottom_width.c
     COMPILE: src/select/properties/border_collapse.c
     COMPILE: src/select/properties/border_left_color.c
     COMPILE: src/select/properties/border_left_style.c
     COMPILE: src/select/properties/border_left_width.c
     COMPILE: src/select/properties/border_right_color.c
     COMPILE: src/select/properties/border_right_style.c
     COMPILE: src/select/properties/border_right_width.c
     COMPILE: src/select/properties/border_spacing.c
     COMPILE: src/select/properties/border_top_color.c
     COMPILE: src/select/properties/border_top_style.c
     COMPILE: src/select/properties/border_top_width.c
     COMPILE: src/select/properties/bottom.c
     COMPILE: src/select/properties/box_sizing.c
     COMPILE: src/select/properties/break_after.c
     COMPILE: src/select/properties/break_before.c
     COMPILE: src/select/properties/break_inside.c
     COMPILE: src/select/properties/caption_side.c
     COMPILE: src/select/properties/clear.c
     COMPILE: src/select/properties/clip.c
     COMPILE: src/select/properties/color.c
     COMPILE: src/select/properties/column_count.c
     COMPILE: src/select/properties/column_fill.c
     COMPILE: src/select/properties/column_gap.c
     COMPILE: src/select/properties/column_rule_color.c
     COMPILE: src/select/properties/column_rule_style.c
     COMPILE: src/select/properties/column_rule_width.c
     COMPILE: src/select/properties/column_span.c
     COMPILE: src/select/properties/column_width.c
     COMPILE: src/select/properties/content.c
     COMPILE: src/select/properties/counter_increment.c
     COMPILE: src/select/properties/counter_reset.c
     COMPILE: src/select/properties/cue_after.c
     COMPILE: src/select/properties/cue_before.c
     COMPILE: src/select/properties/cursor.c
     COMPILE: src/select/properties/direction.c
     COMPILE: src/select/properties/display.c
     COMPILE: src/select/properties/elevation.c
     COMPILE: src/select/properties/empty_cells.c
     COMPILE: src/select/properties/flex_basis.c
     COMPILE: src/select/properties/flex_direction.c
     COMPILE: src/select/properties/flex_grow.c
     COMPILE: src/select/properties/flex_shrink.c
     COMPILE: src/select/properties/flex_wrap.c
     COMPILE: src/select/properties/float.c
     COMPILE: src/select/properties/font_family.c
     COMPILE: src/select/properties/font_size.c
     COMPILE: src/select/properties/font_style.c
     COMPILE: src/select/properties/font_variant.c
     COMPILE: src/select/properties/font_weight.c
     COMPILE: src/select/properties/height.c
     COMPILE: src/select/properties/justify_content.c
     COMPILE: src/select/properties/left.c
     COMPILE: src/select/properties/letter_spacing.c
     COMPILE: src/select/properties/line_height.c
     COMPILE: src/select/properties/list_style_image.c
     COMPILE: src/select/properties/list_style_position.c
     COMPILE: src/select/properties/list_style_type.c
     COMPILE: src/select/properties/margin_bottom.c
     COMPILE: src/select/properties/margin_left.c
     COMPILE: src/select/properties/margin_right.c
     COMPILE: src/select/properties/margin_top.c
     COMPILE: src/select/properties/max_height.c
     COMPILE: src/select/properties/max_width.c
     COMPILE: src/select/properties/min_height.c
     COMPILE: src/select/properties/min_width.c
     COMPILE: src/select/properties/opacity.c
     COMPILE: src/select/properties/order.c
     COMPILE: src/select/properties/orphans.c
     COMPILE: src/select/properties/outline_color.c
     COMPILE: src/select/properties/outline_style.c
     COMPILE: src/select/properties/outline_width.c
     COMPILE: src/select/properties/overflow_x.c
     COMPILE: src/select/properties/overflow_y.c
     COMPILE: src/select/properties/padding_bottom.c
     COMPILE: src/select/properties/padding_left.c
     COMPILE: src/select/properties/padding_right.c
     COMPILE: src/select/properties/padding_top.c
     COMPILE: src/select/properties/page_break_after.c
     COMPILE: src/select/properties/page_break_before.c
     COMPILE: src/select/properties/page_break_inside.c
     COMPILE: src/select/properties/pause_after.c
     COMPILE: src/select/properties/pause_before.c
     COMPILE: src/select/properties/pitch.c
     COMPILE: src/select/properties/pitch_range.c
     COMPILE: src/select/properties/play_during.c
     COMPILE: src/select/properties/position.c
     COMPILE: src/select/properties/quotes.c
     COMPILE: src/select/properties/richness.c
     COMPILE: src/select/properties/right.c
     COMPILE: src/select/properties/speech_rate.c
     COMPILE: src/select/properties/speak.c
     COMPILE: src/select/properties/speak_header.c
     COMPILE: src/select/properties/speak_numeral.c
     COMPILE: src/select/properties/speak_punctuation.c
     COMPILE: src/select/properties/stress.c
     COMPILE: src/select/properties/table_layout.c
     COMPILE: src/select/properties/text_align.c
     COMPILE: src/select/properties/text_decoration.c
     COMPILE: src/select/properties/text_indent.c
     COMPILE: src/select/properties/text_transform.c
     COMPILE: src/select/properties/top.c
     COMPILE: src/select/properties/unicode_bidi.c
     COMPILE: src/select/properties/vertical_align.c
     COMPILE: src/select/properties/visibility.c
     COMPILE: src/select/properties/voice_family.c
     COMPILE: src/select/properties/volume.c
     COMPILE: src/select/properties/white_space.c
     COMPILE: src/select/properties/widows.c
     COMPILE: src/select/properties/width.c
     COMPILE: src/select/properties/word_spacing.c
     COMPILE: src/select/properties/writing_mode.c
     COMPILE: src/select/properties/z_index.c
     COMPILE: src/lex/lex.c
     COMPILE: src/parse/parse.c
     COMPILE: src/parse/language.c
     COMPILE: src/parse/important.c
     COMPILE: src/parse/propstrings.c
     COMPILE: src/parse/font_face.c
     COMPILE: src/parse/mq.c
     COMPILE: src/parse/properties/azimuth.c
     COMPILE: src/parse/properties/background.c
     COMPILE: src/parse/properties/background_position.c
     COMPILE: src/parse/properties/border.c
     COMPILE: src/parse/properties/border_color.c
     COMPILE: src/parse/properties/border_spacing.c
     COMPILE: src/parse/properties/border_style.c
     COMPILE: src/parse/properties/border_width.c
     COMPILE: src/parse/properties/clip.c
     COMPILE: src/parse/properties/columns.c
     COMPILE: src/parse/properties/column_rule.c
     COMPILE: src/parse/properties/content.c
     COMPILE: src/parse/properties/cue.c
     COMPILE: src/parse/properties/cursor.c
     COMPILE: src/parse/properties/elevation.c
     COMPILE: src/parse/properties/flex.c
     COMPILE: src/parse/properties/flex_flow.c
     COMPILE: src/parse/properties/font.c
     COMPILE: src/parse/properties/font_family.c
     COMPILE: src/parse/properties/font_weight.c
     COMPILE: src/parse/properties/list_style.c
     COMPILE: src/parse/properties/list_style_type.c
     COMPILE: src/parse/properties/margin.c
     COMPILE: src/parse/properties/opacity.c
     COMPILE: src/parse/properties/outline.c
     COMPILE: src/parse/properties/overflow.c
     COMPILE: src/parse/properties/padding.c
     COMPILE: src/parse/properties/pause.c
     COMPILE: src/parse/properties/play_during.c
     COMPILE: src/parse/properties/properties.c
     COMPILE: src/parse/properties/quotes.c
     COMPILE: src/parse/properties/text_decoration.c
     COMPILE: src/parse/properties/utils.c
     COMPILE: src/parse/properties/voice_family.c
     COMPILE: src/parse/properties/autogenerated_background_repeat.c
     COMPILE: src/parse/properties/autogenerated_border_collapse.c
     COMPILE: src/parse/properties/autogenerated_cue_after.c
     COMPILE: src/parse/properties/autogenerated_cue_before.c
     COMPILE: src/parse/properties/autogenerated_direction.c
     COMPILE: src/parse/properties/autogenerated_display.c
     COMPILE: src/parse/properties/autogenerated_empty_cells.c
     COMPILE: src/parse/properties/autogenerated_float.c
     COMPILE: src/parse/properties/autogenerated_font_size.c
     COMPILE: src/parse/properties/autogenerated_font_style.c
     COMPILE: src/parse/properties/autogenerated_font_variant.c
     COMPILE: src/parse/properties/autogenerated_height.c
     COMPILE: src/parse/properties/autogenerated_letter_spacing.c
     COMPILE: src/parse/properties/autogenerated_line_height.c
     COMPILE: src/parse/properties/autogenerated_border_top.c
     COMPILE: src/parse/properties/autogenerated_border_bottom.c
     COMPILE: src/parse/properties/autogenerated_border_left.c
     COMPILE: src/parse/properties/autogenerated_border_right.c
     COMPILE: src/parse/properties/autogenerated_max_height.c
     COMPILE: src/parse/properties/autogenerated_max_width.c
     COMPILE: src/parse/properties/autogenerated_min_height.c
     COMPILE: src/parse/properties/autogenerated_min_width.c
     COMPILE: src/parse/properties/autogenerated_color.c
     COMPILE: src/parse/properties/autogenerated_padding_side.c
     COMPILE: src/parse/properties/autogenerated_padding_bottom.c
     COMPILE: src/parse/properties/autogenerated_padding_left.c
     COMPILE: src/parse/properties/autogenerated_padding_top.c
     COMPILE: src/parse/properties/autogenerated_padding_right.c
     COMPILE: src/parse/properties/autogenerated_margin_side.c
     COMPILE: src/parse/properties/autogenerated_margin_top.c
     COMPILE: src/parse/properties/autogenerated_margin_bottom.c
     COMPILE: src/parse/properties/autogenerated_margin_left.c
     COMPILE: src/parse/properties/autogenerated_margin_right.c
     COMPILE: src/parse/properties/autogenerated_side.c
     COMPILE: src/parse/properties/autogenerated_top.c
     COMPILE: src/parse/properties/autogenerated_bottom.c
     COMPILE: src/parse/properties/autogenerated_left.c
     COMPILE: src/parse/properties/autogenerated_right.c
     COMPILE: src/parse/properties/autogenerated_border_side_width.c
     COMPILE: src/parse/properties/autogenerated_border_top_width.c
     COMPILE: src/parse/properties/autogenerated_border_bottom_width.c
     COMPILE: src/parse/properties/autogenerated_border_left_width.c
     COMPILE: src/parse/properties/autogenerated_border_right_width.c
     COMPILE: src/parse/properties/autogenerated_border_side_style.c
     COMPILE: src/parse/properties/autogenerated_border_top_style.c
     COMPILE: src/parse/properties/autogenerated_border_bottom_style.c
     COMPILE: src/parse/properties/autogenerated_border_left_style.c
     COMPILE: src/parse/properties/autogenerated_border_right_style.c
     COMPILE: src/parse/properties/autogenerated_border_side_color.c
     COMPILE: src/parse/properties/autogenerated_border_top_color.c
     COMPILE: src/parse/properties/autogenerated_border_bottom_color.c
     COMPILE: src/parse/properties/autogenerated_border_left_color.c
     COMPILE: src/parse/properties/autogenerated_border_right_color.c
     COMPILE: src/parse/properties/autogenerated_counter_increment.c
     COMPILE: src/parse/properties/autogenerated_counter_reset.c
     COMPILE: src/parse/properties/autogenerated_background_attachment.c
     COMPILE: src/parse/properties/autogenerated_background_color.c
     COMPILE: src/parse/properties/autogenerated_caption_side.c
     COMPILE: src/parse/properties/autogenerated_clear.c
     COMPILE: src/parse/properties/autogenerated_background_image.c
     COMPILE: src/parse/properties/autogenerated_list_style_image.c
     COMPILE: src/parse/properties/autogenerated_list_style_position.c
     COMPILE: src/parse/properties/autogenerated_orphans.c
     COMPILE: src/parse/properties/autogenerated_outline_color.c
     COMPILE: src/parse/properties/autogenerated_outline_style.c
     COMPILE: src/parse/properties/autogenerated_outline_width.c
     COMPILE: src/parse/properties/autogenerated_overflow_x.c
     COMPILE: src/parse/properties/autogenerated_overflow_y.c
     COMPILE: src/parse/properties/autogenerated_page_break_after.c
     COMPILE: src/parse/properties/autogenerated_page_break_before.c
     COMPILE: src/parse/properties/autogenerated_page_break_inside.c
     COMPILE: src/parse/properties/autogenerated_pause_after.c
     COMPILE: src/parse/properties/autogenerated_pause_before.c
     COMPILE: src/parse/properties/autogenerated_pitch.c
     COMPILE: src/parse/properties/autogenerated_pitch_range.c
     COMPILE: src/parse/properties/autogenerated_position.c
     COMPILE: src/parse/properties/autogenerated_richness.c
     COMPILE: src/parse/properties/autogenerated_speak.c
     COMPILE: src/parse/properties/autogenerated_speak_header.c
     COMPILE: src/parse/properties/autogenerated_speak_numeral.c
     COMPILE: src/parse/properties/autogenerated_speak_punctuation.c
     COMPILE: src/parse/properties/autogenerated_speech_rate.c
     COMPILE: src/parse/properties/autogenerated_stress.c
     COMPILE: src/parse/properties/autogenerated_table_layout.c
     COMPILE: src/parse/properties/autogenerated_text_align.c
     COMPILE: src/parse/properties/autogenerated_text_indent.c
     COMPILE: src/parse/properties/autogenerated_text_transform.c
     COMPILE: src/parse/properties/autogenerated_unicode_bidi.c
     COMPILE: src/parse/properties/autogenerated_vertical_align.c
     COMPILE: src/parse/properties/autogenerated_visibility.c
     COMPILE: src/parse/properties/autogenerated_volume.c
     COMPILE: src/parse/properties/autogenerated_white_space.c
     COMPILE: src/parse/properties/autogenerated_widows.c
     COMPILE: src/parse/properties/autogenerated_width.c
     COMPILE: src/parse/properties/autogenerated_word_spacing.c
     COMPILE: src/parse/properties/autogenerated_z_index.c
     COMPILE: src/parse/properties/autogenerated_break_after.c
     COMPILE: src/parse/properties/autogenerated_break_before.c
     COMPILE: src/parse/properties/autogenerated_break_inside.c
     COMPILE: src/parse/properties/autogenerated_column_count.c
     COMPILE: src/parse/properties/autogenerated_column_fill.c
     COMPILE: src/parse/properties/autogenerated_column_gap.c
     COMPILE: src/parse/properties/autogenerated_column_rule_color.c
     COMPILE: src/parse/properties/autogenerated_column_rule_style.c
     COMPILE: src/parse/properties/autogenerated_column_rule_width.c
     COMPILE: src/parse/properties/autogenerated_column_span.c
     COMPILE: src/parse/properties/autogenerated_column_width.c
     COMPILE: src/parse/properties/autogenerated_writing_mode.c
     COMPILE: src/parse/properties/autogenerated_box_sizing.c
     COMPILE: src/parse/properties/autogenerated_align_content.c
     COMPILE: src/parse/properties/autogenerated_align_items.c
     COMPILE: src/parse/properties/autogenerated_align_self.c
     COMPILE: src/parse/properties/autogenerated_flex_basis.c
     COMPILE: src/parse/properties/autogenerated_flex_direction.c
     COMPILE: src/parse/properties/autogenerated_flex_grow.c
     COMPILE: src/parse/properties/autogenerated_flex_shrink.c
     COMPILE: src/parse/properties/autogenerated_flex_wrap.c
     COMPILE: src/parse/properties/autogenerated_justify_content.c
     COMPILE: src/parse/properties/autogenerated_order.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libcss.a
    install  -m 644 include/libcss/computed.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/errors.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/font_face.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/fpmath.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/functypes.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/hint.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/libcss.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/properties.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/select.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/stylesheet.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    install  -m 644 include/libcss/types.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libcss
    sed -e... libcss.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libcss.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libcss.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libcss.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libcss.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libcss'
    make install --directory=libhubbub HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libhubbub'
    ENTITIES: src/tokeniser/entities.inc
     COMPILE: src/parser.c
     COMPILE: src/tokeniser/entities.c
     COMPILE: src/tokeniser/tokeniser.c
     COMPILE: src/utils/errors.c
     COMPILE: src/utils/string.c
     COMPILE: src/charset/detect.c
     COMPILE: src/treebuilder/treebuilder.c
     COMPILE: src/treebuilder/initial.c
     COMPILE: src/treebuilder/before_html.c
     COMPILE: src/treebuilder/before_head.c
     COMPILE: src/treebuilder/in_head.c
     COMPILE: src/treebuilder/in_head_noscript.c
     COMPILE: src/treebuilder/after_head.c
     COMPILE: src/treebuilder/in_body.c
     COMPILE: src/treebuilder/in_table.c
     COMPILE: src/treebuilder/in_caption.c
     COMPILE: src/treebuilder/in_column_group.c
     COMPILE: src/treebuilder/in_table_body.c
     COMPILE: src/treebuilder/in_row.c
     COMPILE: src/treebuilder/in_cell.c
     COMPILE: src/treebuilder/in_select.c
     COMPILE: src/treebuilder/in_select_in_table.c
     COMPILE: src/treebuilder/in_foreign_content.c
     COMPILE: src/treebuilder/after_body.c
     COMPILE: src/treebuilder/in_frameset.c
     COMPILE: src/treebuilder/after_frameset.c
     COMPILE: src/treebuilder/after_after_body.c
     COMPILE: src/treebuilder/after_after_frameset.c
     COMPILE: src/treebuilder/generic_rcdata.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libhubbub.a
    install  -m 644 include/hubbub/errors.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    install  -m 644 include/hubbub/functypes.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    install  -m 644 include/hubbub/hubbub.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    install  -m 644 include/hubbub/parser.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    install  -m 644 include/hubbub/tree.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    install  -m 644 include/hubbub/types.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/hubbub
    sed -e... libhubbub.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libhubbub.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libhubbub.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libhubbub.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libhubbub.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libhubbub'
    make install --directory=libdom HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libdom'
     COMPILE: bindings/xml/expat_xmlparser.c
     COMPILE: bindings/hubbub/parser.c
     COMPILE: src/events/event.c
     COMPILE: src/events/dispatch.c
     COMPILE: src/events/event_target.c
     COMPILE: src/events/document_event.c
     COMPILE: src/events/custom_event.c
     COMPILE: src/events/keyboard_event.c
     COMPILE: src/events/mouse_wheel_event.c
     COMPILE: src/events/text_event.c
     COMPILE: src/events/event_listener.c
     COMPILE: src/events/mouse_event.c
     COMPILE: src/events/mutation_event.c
     COMPILE: src/events/ui_event.c
     COMPILE: src/events/mouse_multi_wheel_event.c
     COMPILE: src/events/mutation_name_event.c
     COMPILE: src/core/string.c
     COMPILE: src/core/node.c
     COMPILE: src/core/attr.c
     COMPILE: src/core/characterdata.c
     COMPILE: src/core/element.c
     COMPILE: src/core/implementation.c
     COMPILE: src/core/text.c
     COMPILE: src/core/typeinfo.c
     COMPILE: src/core/comment.c
     COMPILE: src/core/namednodemap.c
     COMPILE: src/core/nodelist.c
     COMPILE: src/core/cdatasection.c
     COMPILE: src/core/document_type.c
     COMPILE: src/core/entity_ref.c
     COMPILE: src/core/pi.c
     COMPILE: src/core/doc_fragment.c
     COMPILE: src/core/document.c
     COMPILE: src/utils/namespace.c
     COMPILE: src/utils/hashtable.c
     COMPILE: src/utils/character_valid.c
     COMPILE: src/utils/validate.c
     COMPILE: src/html/html_document.c
     COMPILE: src/html/html_collection.c
     COMPILE: src/html/html_options_collection.c
     COMPILE: src/html/html_element.c
     COMPILE: src/html/html_html_element.c
     COMPILE: src/html/html_head_element.c
     COMPILE: src/html/html_link_element.c
     COMPILE: src/html/html_title_element.c
     COMPILE: src/html/html_meta_element.c
     COMPILE: src/html/html_base_element.c
     COMPILE: src/html/html_style_element.c
     COMPILE: src/html/html_body_element.c
     COMPILE: src/html/html_form_element.c
     COMPILE: src/html/html_select_element.c
     COMPILE: src/html/html_button_element.c
     COMPILE: src/html/html_input_element.c
     COMPILE: src/html/html_text_area_element.c
     COMPILE: src/html/html_opt_group_element.c
     COMPILE: src/html/html_option_element.c
     COMPILE: src/html/html_hr_element.c
     COMPILE: src/html/html_dlist_element.c
     COMPILE: src/html/html_directory_element.c
     COMPILE: src/html/html_menu_element.c
     COMPILE: src/html/html_fieldset_element.c
     COMPILE: src/html/html_legend_element.c
     COMPILE: src/html/html_div_element.c
     COMPILE: src/html/html_paragraph_element.c
     COMPILE: src/html/html_heading_element.c
     COMPILE: src/html/html_quote_element.c
     COMPILE: src/html/html_pre_element.c
     COMPILE: src/html/html_br_element.c
     COMPILE: src/html/html_label_element.c
     COMPILE: src/html/html_ulist_element.c
     COMPILE: src/html/html_olist_element.c
     COMPILE: src/html/html_li_element.c
     COMPILE: src/html/html_font_element.c
     COMPILE: src/html/html_mod_element.c
     COMPILE: src/html/html_anchor_element.c
     COMPILE: src/html/html_basefont_element.c
     COMPILE: src/html/html_image_element.c
     COMPILE: src/html/html_object_element.c
     COMPILE: src/html/html_param_element.c
     COMPILE: src/html/html_applet_element.c
     COMPILE: src/html/html_area_element.c
     COMPILE: src/html/html_map_element.c
     COMPILE: src/html/html_script_element.c
     COMPILE: src/html/html_tablecaption_element.c
     COMPILE: src/html/html_tablecell_element.c
     COMPILE: src/html/html_tablecol_element.c
     COMPILE: src/html/html_tablesection_element.c
     COMPILE: src/html/html_table_element.c
     COMPILE: src/html/html_tablerow_element.c
     COMPILE: src/html/html_frameset_element.c
     COMPILE: src/html/html_frame_element.c
     COMPILE: src/html/html_iframe_element.c
     COMPILE: src/html/html_isindex_element.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libdom.a
    install  -m 644 bindings/xml/xmlerror.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/bindings/xml
    install  -m 644 bindings/xml/xmlparser.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/bindings/xml
    install  -m 644 bindings/hubbub/errors.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/bindings/hubbub
    install  -m 644 bindings/hubbub/parser.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/bindings/hubbub
    install  -m 644 include/dom/dom.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom
    install  -m 644 include/dom/functypes.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom
    install  -m 644 include/dom/inttypes.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom
    install  -m 644 include/dom/core/attr.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/characterdata.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/cdatasection.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/comment.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/doc_fragment.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/document.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/document_type.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/entity_ref.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/exceptions.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/implementation.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/namednodemap.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/node.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/nodelist.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/string.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/pi.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/text.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/core/typeinfo.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/core
    install  -m 644 include/dom/events/event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/ui_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/custom_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/mouse_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/keyboard_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/text_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/mouse_wheel_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/mouse_multi_wheel_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/mutation_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/event_target.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/mutation_name_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/events.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/event_listener.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/events/document_event.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/events
    install  -m 644 include/dom/html/html_document.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_collection.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_elements.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_html_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_head_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_link_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_title_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_body_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_meta_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_form_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_button_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_input_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_select_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_text_area_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_option_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_opt_group_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_options_collection.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_hr_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_dlist_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_directory_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_menu_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_fieldset_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_legend_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_div_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_paragraph_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_heading_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_quote_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_pre_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_br_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_label_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_ulist_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_olist_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_li_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_font_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_mod_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_anchor_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_basefont_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_image_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_object_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_param_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_applet_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_area_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_map_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_script_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_tablecaption_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_tablecell_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_tablecol_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_tablesection_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_table_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_tablerow_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_base_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_style_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_frameset_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_frame_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_iframe_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    install  -m 644 include/dom/html/html_isindex_element.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/dom/html
    sed -e... libdom.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libdom.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libdom.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libdom.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libdom.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libdom'
    make install --directory=libnsbmp HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libnsbmp'
     COMPILE: src/libnsbmp.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsbmp.a
    install  -m 644 include/libnsbmp.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/
    sed -e... libnsbmp.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsbmp.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsbmp.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libnsbmp.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsbmp.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libnsbmp'
    make install --directory=libnsgif HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libnsgif'
     COMPILE: src/libnsgif.c
     COMPILE: src/lzw.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsgif.a
    install  -m 644 include/libnsgif.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include
    sed -e... libnsgif.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsgif.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsgif.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libnsgif.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsgif.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libnsgif'
    make install --directory=librosprite HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/librosprite'
     COMPILE: src/librosprite.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/librosprite.a
    install  -m 644 include/librosprite.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include
    sed -e... librosprite.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/librosprite.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/librosprite.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/librosprite.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/librosprite.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/librosprite'
    make install --directory=libnsutils HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libnsutils'
     COMPILE: src/base64.c
     COMPILE: src/time.c
     COMPILE: src/unistd.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsutils.a
    install  -m 644 include/nsutils/errors.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nsutils
    install  -m 644 include/nsutils/base64.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nsutils
    install  -m 644 include/nsutils/endian.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nsutils
    install  -m 644 include/nsutils/time.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nsutils
    install  -m 644 include/nsutils/unistd.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/nsutils
    sed -e... libnsutils.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsutils.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsutils.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libnsutils.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnsutils.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libnsutils'
    make install --directory=libutf8proc HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libutf8proc'
     COMPILE: src/utf8proc.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libutf8proc.a
    install  -m 644 include/libutf8proc/utf8proc.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include/libutf8proc
    sed -e... libutf8proc.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libutf8proc.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libutf8proc.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libutf8proc.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libutf8proc.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libutf8proc'
    make install --directory=libnspsl HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libnspsl'
     COMPILE: src/nspsl.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnspsl.a
    install  -m 644 include/nspsl.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include
    sed -e... libnspsl.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnspsl.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnspsl.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libnspsl.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libnspsl.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libnspsl'
    make install --directory=libsvgtiny HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ WARNFLAGS='-Wall -W -Wno-error' DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/libsvgtiny'
       GPERF: src/colors.gperf
     COMPILE: src/svgtiny.c
     COMPILE: src/svgtiny_gradient.c
     COMPILE: src/svgtiny_list.c
          AR: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libsvgtiny.a
    install  -m 644 include/svgtiny.h /usr/local/Resource/netsurf-all-3.9/inst-gtk/include
    sed -e... libsvgtiny.pc.in >build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libsvgtiny.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libsvgtiny.pc /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib/pkgconfig/libsvgtiny.pc
    install  -m 644 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-lib-static/libsvgtiny.a /usr/local/Resource/netsurf-all-3.9/inst-gtk/lib
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/libsvgtiny'
    make install --directory=nsgenbind HOST=x86_64-pc-linux-gnu PREFIX=/usr/local/Resource/netsurf-all-3.9/inst-gtk Q=@ DESTDIR=
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/nsgenbind'
       BISON: src/webidl-parser.y
    src/webidl-parser.y:51.1-12: warning: deprecated directive, use '%define api.pure' [-Wdeprecated]
       51 | %pure-parser
          | ^~~~~~~~~~~~
    src/webidl-parser.y:52.1-14: warning: deprecated directive, use '%define parse.error verbose' [-Wdeprecated]
       52 | %error-verbose
          | ^~~~~~~~~~~~~~
    src/webidl-parser.y: warning: fix-its can be applied.  Rerun with option '--update'. [-Wother]
        FLEX: src/webidl-lexer.l
       BISON: src/nsgenbind-parser.y
    src/nsgenbind-parser.y:12.1-12: warning: deprecated directive, use '%define api.pure' [-Wdeprecated]
       12 | %pure-parser
          | ^~~~~~~~~~~~
    src/nsgenbind-parser.y:16.1-14: warning: deprecated directive, use '%define parse.error verbose' [-Wdeprecated]
       16 | %error-verbose
          | ^~~~~~~~~~~~~~
    src/nsgenbind-parser.y: warning: fix-its can be applied.  Rerun with option '--update'. [-Wother]
        FLEX: src/nsgenbind-lexer.l
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/nsgenbind-parser.c
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/nsgenbind-lexer.c
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/webidl-parser.c
     COMPILE: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/webidl-lexer.c
     COMPILE: src/nsgenbind.c
     COMPILE: src/utils.c
     COMPILE: src/output.c
     COMPILE: src/webidl-ast.c
     COMPILE: src/nsgenbind-ast.c
     COMPILE: src/ir.c
     COMPILE: src/duk-libdom.c
     COMPILE: src/duk-libdom-interface.c
     COMPILE: src/duk-libdom-dictionary.c
     COMPILE: src/duk-libdom-common.c
     COMPILE: src/duk-libdom-generated.c
        LINK: build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/nsgenbind
    install  -m 755 build-x86_64-pc-linux-gnu-x86_64-pc-linux-gnu-release-binary/nsgenbind /usr/local/Resource/netsurf-all-3.9/inst-gtk/bin
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/nsgenbind'
    make --directory=netsurf PREFIX= TARGET=gtk 
    make[1]: Entering directory '/usr/local/Resource/netsurf-all-3.9/netsurf'
    M.CONFIG: JPEG (libjpeg)	enabled       (NETSURF_USE_JPEG := YES)
    M.CONFIG: PDF export (haru)	disabled      (NETSURF_USE_HARU_PDF := NO)
    M.CONFIG: glibc internal iconv	enabled       (NETSURF_USE_LIBICONV_PLUG := YES)
    M.CONFIG: Javascript (Duktape)	enabled       (NETSURF_USE_DUKTAPE := YES)
    PKG.CNFG: CSS (libcss)	enabled
    PKG.CNFG: DOM (libdom)	enabled
    PKG.CNFG: nsutils (libnsutils)	enabled
    PKG.CNFG: utf8proc (libutf8proc)	enabled
    M.CONFIG: Curl (libcurl)	enabled       (NETSURF_USE_CURL := YES)
    M.CONFIG: OpenSSL (openssl)	enabled       (NETSURF_USE_OPENSSL := YES)
    M.CONFIG: WEBP (libwebp)	auto-disabled (NETSURF_USE_WEBP := AUTO)
    M.CONFIG: PNG (libpng)	enabled       (NETSURF_USE_PNG := YES)
    M.CONFIG: BMP (libnsbmp)	enabled       (NETSURF_USE_BMP := YES)
    M.CONFIG: GIF (libnsgif)	enabled       (NETSURF_USE_GIF := YES)
    M.CONFIG: SVG (libsvgtiny)	auto-enabled  (NETSURF_USE_NSSVG := AUTO)
    M.CONFIG: Sprite (librosprite)	auto-enabled  (NETSURF_USE_ROSPRITE := AUTO)
    M.CONFIG: PSL (libnspsl)	auto-enabled  (NETSURF_USE_NSPSL := AUTO)
    M.CONFIG: LOG (libnslog)	auto-enabled  (NETSURF_USE_NSLOG := AUTO)
    M.CONFIG: SVG (librsvg-2.0)	auto-enabled  (NETSURF_USE_RSVG := AUTO)
    M.CONFIG: Video (gstreamer-0.10)	disabled      (NETSURF_USE_VIDEO := NO)
    PKG.CNFG: GTK-2 (gtk+-2.0)	enabled
    PKG.CNFG: GThread2 (gthread-2.0)	enabled
    PKG.CNFG: GModule2 (gmodule-2.0)	enabled
    PKG.CNFG: Check (check)	disabled
     GENBIND: content/handlers/javascript/duktape/netsurf.bnd
    Starting parse
    Entering state 0
    Reading a token: Next token is token TOK_BINDING (3.1-6: )
    Shifting token TOK_BINDING (3.1-6: )
    Entering state 8
    Reading a token: Next token is token TOK_IDENTIFIER (3.10-18: )
    Shifting token TOK_IDENTIFIER (3.10-18: )
    Entering state 34
    Reading a token: Next token is token '{' (3.22: )
    Shifting token '{' (3.22: )
    Entering state 45
    Reading a token: Next token is token TOK_IDENTIFIER (4.3-7: )
    Error: popping token '{' (3.22: )
    Stack now 0 8 34
    Error: popping token TOK_IDENTIFIER (3.10-18: )
    Stack now 0 8
    Error: popping token TOK_BINDING (3.1-6: )
    Stack now 0
    Shifting token error (3.1-4.7: )
    Entering state 1
    Next token is token TOK_IDENTIFIER (4.3-7: )
    Error: discarding token TOK_IDENTIFIER (4.3-7: )
    Error: popping token error (3.1-4.7: )
    Stack now 0
    Shifting token error (3.1-4.7: )
    Entering state 1
    Reading a token: Next token is token TOK_STRING_LITERAL (4.11-18: )
    Error: discarding token TOK_STRING_LITERAL (4.11-18: )
    Error: popping token error (3.1-4.7: )
    Stack now 0
    Shifting token error (3.1-4.18: )
    Entering state 1
    Reading a token: Next token is token ';' (4.20: )
    Shifting token ';' (4.20: )
    Entering state 25
    Reducing stack by rule 4 (line 115):
       $1 = token error (3.1-4.18: )
       $2 = token ';' (4.20: )
    4: syntax error, unexpected TOK_IDENTIFIER
    Stack now 0
    Error: parse failed with code 1
    MSGSPLIT: Language: de Filter: gtk
    MSGSPLIT: Language: en Filter: gtk
    MSGSPLIT: Language: fr Filter: gtk
    MSGSPLIT: Language: it Filter: gtk
    MSGSPLIT: Language: nl Filter: gtk
    GRESORCE: frontends/gtk/res/messages.gresource.xml
       MKDIR: build/Linux-gtk
       MKDIR: build/Linux-gtk/deps
     COMPILE: build/Linux-gtk/messages_gresource.c
    GRESORCE: frontends/gtk/res/netsurf.gresource.xml
     COMPILE: build/Linux-gtk/netsurf_gresource.c
     COMPILE: content/content.c
     COMPILE: content/content_factory.c
     COMPILE: content/dirlist.c
     COMPILE: content/fetch.c
    TESTMENT: build/Linux-gtk/testament.h
     COMPILE: content/fetchers/about.c
     COMPILE: content/fetchers/curl.c
     COMPILE: content/fetchers/data.c
     COMPILE: content/fetchers/file.c
     COMPILE: content/fetchers/resource.c
     COMPILE: content/fs_backing_store.c
     COMPILE: content/handlers/css/css.c
     COMPILE: content/handlers/css/dump.c
     COMPILE: content/handlers/css/hints.c
     COMPILE: content/handlers/css/internal.c
     COMPILE: content/handlers/css/select.c
     COMPILE: content/handlers/css/utils.c
     COMPILE: content/handlers/html/box.c
     COMPILE: content/handlers/html/box_construct.c
     COMPILE: content/handlers/html/box_normalise.c
     COMPILE: content/handlers/html/box_textarea.c
     COMPILE: content/handlers/html/font.c
     COMPILE: content/handlers/html/form.c
     COMPILE: content/handlers/html/html.c
     COMPILE: content/handlers/html/html_css.c
     COMPILE: content/handlers/html/html_css_fetcher.c
     COMPILE: content/handlers/html/html_forms.c
     COMPILE: content/handlers/html/html_interaction.c
     COMPILE: content/handlers/html/html_object.c
     COMPILE: content/handlers/html/html_redraw.c
     COMPILE: content/handlers/html/html_redraw_border.c
     COMPILE: content/handlers/html/html_script.c
     COMPILE: content/handlers/html/imagemap.c
     COMPILE: content/handlers/html/layout.c
     COMPILE: content/handlers/html/search.c
     COMPILE: content/handlers/html/table.c
     COMPILE: content/handlers/image/bmp.c
     COMPILE: content/handlers/image/gif.c
     COMPILE: content/handlers/image/ico.c
     COMPILE: content/handlers/image/image.c
     COMPILE: content/handlers/image/image_cache.c
     COMPILE: content/handlers/image/jpeg.c
     COMPILE: content/handlers/image/nssprite.c
     COMPILE: content/handlers/image/png.c
     COMPILE: content/handlers/image/rsvg.c
     COMPILE: content/handlers/image/svg.c
     COMPILE: content/handlers/javascript/content.c
     GENBIND: content/handlers/javascript/duktape/netsurf.bnd
    Starting parse
    Entering state 0
    Reading a token: Next token is token TOK_BINDING (3.1-6: )
    Shifting token TOK_BINDING (3.1-6: )
    Entering state 8
    Reading a token: Next token is token TOK_IDENTIFIER (3.10-18: )
    Shifting token TOK_IDENTIFIER (3.10-18: )
    Entering state 34
    Reading a token: Next token is token '{' (3.22: )
    Shifting token '{' (3.22: )
    Entering state 45
    Reading a token: Next token is token TOK_IDENTIFIER (4.3-7: )
    Error: popping token '{' (3.22: )
    Stack now 0 8 34
    Error: popping token TOK_IDENTIFIER (3.10-18: )
    Stack now 0 8
    Error: popping token TOK_BINDING (3.1-6: )
    Stack now 0
    Shifting token error (3.1-4.7: )
    Entering state 1
    Next token is token TOK_IDENTIFIER (4.3-7: )
    Error: discarding token TOK_IDENTIFIER (4.3-7: )
    Error: popping token error (3.1-4.7: )
    Stack now 0
    Shifting token error (3.1-4.7: )
    Entering state 1
    Reading a token: Next token is token TOK_STRING_LITERAL (4.11-18: )
    Error: discarding token TOK_STRING_LITERAL (4.11-18: )
    Error: popping token error (3.1-4.7: )
    Stack now 0
    Shifting token error (3.1-4.18: )
    Entering state 1
    Reading a token: Next token is token ';' (4.20: )
    Shifting token ';' (4.20: )
    Entering state 25
    Reducing stack by rule 4 (line 115):
       $1 = token error (3.1-4.18: )
       $2 = token ';' (4.20: )
    4: syntax error, unexpected TOK_IDENTIFIER
    Stack now 0
    Error: parse failed with code 1
    make[1]: *** [content/handlers/javascript/duktape/Makefile:24: build/Linux-gtk/duktape/binding.h] Error 1
    make[1]: Leaving directory '/usr/local/Resource/netsurf-all-3.9/netsurf'
    make: *** [Makefile:124: /usr/local/Resource/netsurf-all-3.9/inst-gtk/build-stamp] Error 2
    
    ? file icon netsurf-make-log (64,323 bytes) 2020-03-25 01:27 +

-Relationships
+Relationships

-Notes
John Hendry

~0002175

John Hendry (reporter)

Problem arose from persistence of old versions of executables and libraries from previous installlation of netsurf. Now solved but new netsurf still not functional - undefined reference to libiconv in filter. Can I specify "with-iconv=/usr/local/lib/libiconv" to make?
Daniel Silverstone

~0002191

Daniel Silverstone (administrator)

If you continue to have difficulty building then talking to us on #netsurf on Freenode IRC is more likely to yield a timely response.
+Notes

-Issue History
Date Modified Username Field Change
2020-03-25 01:27 John Hendry New Issue
2020-03-25 01:27 John Hendry File Added: netsurf-make-log
2020-03-28 07:30 John Hendry Note Added: 0002175
2020-05-21 21:51 Daniel Silverstone Status new => closed
2020-05-21 21:51 Daniel Silverstone Resolution open => no change required
2020-05-21 21:51 Daniel Silverstone Note Added: 0002191
+Issue History